Get a specific asset
curl --request GET \
--url https://api.lootexplus.com/v1/assets/{chainId}/{contractAddress}/{tokenId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lootexplus.com/v1/assets/{chainId}/{contractAddress}/{tokenId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lootexplus.com/v1/assets/{chainId}/{contractAddress}/{tokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c070a82a-2798-46f9-830e-6916d8d30320",
"chainId": 1868,
"contractAddress": "0xfc8e7bda94874f6baa591dd70af0fda1fca201ab",
"tokenId": "42",
"schema": "ERC721",
"name": "Cool NFT",
"description": "This is a cool NFT",
"imageUrl": "https://example.com/image.png",
"animationUrl": "https://example.com/animation.mp4",
"tokenUri": "https://example.com/metadata.json",
"bestListing": {
"unitPrice": "1000000000000000000",
"priceSymbol": "ETH",
"quantity": "1",
"offerer": "0x1234567890abcdef1234567890abcdef12345678",
"orderHash": "0xabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdef"
},
"collection": {
"id": "c070a82a-2798-46f9-830e-6916d8d30320",
"slug": "cool-nft",
"chainId": 1868,
"contractAddress": "0xfc8e7bda94874f6baa591dd70af0fda1fca201ab",
"name": "Cool NFT",
"imageUrl": "https://cool-nft.com/image.png",
"description": "Cool NFT",
"isVerified": true
}
}Assets
Get Asset
GET
/
v1
/
assets
/
{chainId}
/
{contractAddress}
/
{tokenId}
Get a specific asset
Authorizations
Path Parameters
Chain ID
Example:
1868
Contract address
Example:
"0xfc8e7bda94874f6baa591dd70af0fda1fca201ab"
Token ID
Example:
"42"
Response
200 - application/json
Asset found
Asset ID
Example:
"c070a82a-2798-46f9-830e-6916d8d30320"
Chain ID
Example:
1868
Contract address
Example:
"0xfc8e7bda94874f6baa591dd70af0fda1fca201ab"
Token ID
Example:
"42"
Schema of the asset
Available options:
ERC721, ERC1155 Example:
"ERC721"
Name of the asset
Example:
"Cool NFT"
Description of the asset
Example:
"This is a cool NFT"
Image URL of the asset
Example:
"https://example.com/image.png"
Animation URL of the asset
Example:
"https://example.com/animation.mp4"
Token URI of the asset
Example:
"https://example.com/metadata.json"
Best listing for the asset
Show child attributes
Show child attributes
Example:
{
"unitPrice": "1000000000000000000",
"priceSymbol": "ETH",
"quantity": "1",
"offerer": "0x1234567890abcdef1234567890abcdef12345678",
"orderHash": "0xabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdef"
}
Collection of the asset
Show child attributes
Show child attributes